> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client Info   inDevelopnent

> Confirm client profile information



## OpenAPI

````yaml patch /client
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /client:
    patch:
      tags:
        - Client
      summary: Update client Info   inDevelopnent
      description: Confirm client profile information
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/client_body'
        required: true
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_1'
      security:
        - bearerAuth: []
components:
  schemas:
    client_body:
      type: object
      properties:
        phone:
          type: string
          example: '+38090000000'
    inline_response_200_1:
      oneOf:
        - $ref: '#/components/schemas/ClientAddress'
        - $ref: '#/components/schemas/ClientPhone'
    ClientAddress:
      required:
        - country
        - postCode
        - street
        - town
      type: object
      properties:
        country:
          type: string
          description: Client country
          example: USA
        postCode:
          type: string
          description: Client post code
          example: '23453'
        town:
          type: string
          description: Client town
          example: Boston
        street:
          type: string
          description: Client street
          example: Bandery 17
        streetLine2:
          type: string
          description: Client sub street
          example: sub street
        state:
          type: string
          description: Client street
          example: DE
    ClientPhone:
      required:
        - phone
      type: object
      properties:
        phone:
          type: string
          description: Customer phone number
          example: '380689873682'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````